# Axis Registry [#axis-registry]

The Axis Registry endpoint gives detailed descriptions of variable axis tags and their corresponding values.

## HTTP Request [#http-request]

* `GET https://api.fontsource.org/v1/axis-registry`

## Response [#response]

The API response for the Fontlist endpoint is a JSON object.

### Attributes: [#attributes]

Returns an object of:

| Attribute | Type                              | Description     |
| --------- | --------------------------------- | --------------- |
| \[tag]    | Record\<string, AxisRegistryItem> | Axis tag object |

<br />

#### AxisRegistryItem: [#axisregistryitem]

| Attribute   | Type   | Description                     |
| ----------- | ------ | ------------------------------- |
| name        | string | Axis name                       |
| description | string | Axis description                |
| min         | number | Minimum value possible for axis |
| max         | number | Maximum value possible for axis |
| default     | number | Default value for axis          |
| precision   | number | Precision                       |

### Response example: [#response-example]

```json
{
  ...
  "ARRR":{
    "name":"AR Retinal Resolution",
    "description":"Resolution-specific enhancements in AR/VR typefaces to optimize rendering across the different resolutions of the headsets making designs accessible and easy to read.",
    "min":10,
    "max":60,
    "default":10,
    "precision":0
  },
  ...
}
```
